<template>
  <div class="simpleList">
    <ul class="simpleList-piece _justified-name">
      <li
        v-for="requisite in requisites"
        :key="requisite.value"
        class="simpleList-item"
        v-if="requisite.value">
        <span class="simpleList-name">{{ requisite.field }}</span>
        <span class="simpleList-value">{{ requisite.value }}</span>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'Requisites',
  props: {
    requisites: {
      type: Object,
      default() {
        return {};
      },
    },
  },
};
</script>

<style lang="postcss">
  .simpleList {
    font-size: 0.875rem;

    &-piece {
      display: block;
      width: 100%;
    }

    @media screen and (min-width: 981px) {
      display: flex;
      justify-content: space-between;

      &-item {
        display: flex;
        padding-bottom: 1rem;
      }

      &-name {
        padding-right: 0.25rem;
        font-weight: var(--font-weight-bold);
      }

      &-piece + &-piece {
        margin-left: 3rem;
        padding-left: 3rem;
        border-left: 1px solid var(--border-color-main);
      }

      ._justified-name {
        .simpleList-name {
          width: 10rem;
        }
      }
    }

    @media screen and (max-width: 980px) {
      &-item {
        display: flex;
        margin-bottom: 0.75rem;
      }

      &-name {
        flex-shrink: 0;
        display: inline-flex;
        padding-right: 0.5rem;
        width: 7rem;
        color: var(--color-main-lightest);
        font-weight: var(--font-weight-regular);
      }

      &-value {
        display: inline-flex;
        flex-shrink: 1;
        width: 100%;
      }

      &-piece + &-piece {
        margin-top: 1rem;
        padding-top: 2rem;
      }
    }
  }
</style>
